Support » Alpha/Beta/RC » 2.5 Admin side PHP5 only?

  • I noticed that although the main site works fine with PHP4 (I have some cross-site code that needs PHP4), the admin site will break with a 500 error code unless I change the .htaccess file accordingly.
    so.. the .htaccess for the root directory is

    AddType x-mapp-php4 .php
    AddHandler x-mapp-php4 .php
    
    # BEGIN WordPress
    <IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /index.php [L]
    </IfModule>
    
    # END WordPress

    and for w the wp-admin folder is:

    AddType x-mapp-php5 .php
    AddHandler x-mapp-php5 .php
    
    # BEGIN WordPress
    <IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /index.php [L]
    </IfModule>
    
    # END WordPress

Viewing 2 replies - 1 through 2 (of 2 total)
  • You should consider to make all your code PHP5 compatible and perhaps ask your host to upgrade, too, because PHP4 support has been dropped since January 2008, I think.

    I am not quite sure, if WordPress still supports PHP4. All my servers are already running PHP5, so I do not experience any problems.

    host supports it. But do some page-scraping against ucomics site that requires me doing a remote file read that I haven’t sat down to find a more graceful way to make work in PHP5.. at the bottom of my Blog, americasblood.com I pull in all the daily available editorial cartoons against a list of all possible ones. it’s pretty heavy in checking back up to 3 days worth of any artists stuff, and I have to read the existence (or not) of a jpeg file… I may start doing all the checking in GD, but that’s a good-sized rewrite.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘2.5 Admin side PHP5 only?’ is closed to new replies.